import javax.swing.*;


public class GUI {
	private JFrame frame;
	private JPanel panel;
	private JButton clearButton;
	private JButton testButton;
	private JTextArea textArea;

	public GUI(){
		this.initializeControls();
	}
	
	private void initializeControls(){
		frame = new JFrame("Exercice2");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		panel = new JPanel();
		frame.getContentPane().add(panel);
		textArea = new JTextArea(3,20); //3 lignes, 20 colonnes
		testButton = new JButton("Test");
		testButton.addActionListener(new TestActionListener(textArea));
		clearButton = new JButton("Effacer");
		clearButton.addActionListener(new ClearActionListener(textArea));
		panel.add(textArea);
		panel.add(testButton);
		panel.add(clearButton);
		frame.pack();
		frame.setVisible(true);
	}
	
	public static void main(String[] args){
		GUI g = new GUI();
	}

}
